//
//  SettingsViewController.m
//  Storyboards
//
//  Created by Mark Brindle on 08/01/2012.
//  Copyright (c) 2012 ARKEMM Software Limited. All rights reserved.
//

#import "SettingsViewController.h"
#import "Settings.h"
#import "bluetoothCell.h"

@implementation SettingsViewController

@synthesize btSettings = theBtSettings;
@synthesize bluetoothCell;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

- (void)setBtSettings:(Settings *)btSettings {
  theBtSettings = btSettings;
  [[self bluetoothCell] setBluetoothOn:[btSettings bluetooth]];
}

#pragma mark - View lifecycle

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView
{
}
*/

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    [super viewDidLoad];
}
*/

- (void)viewWillAppear:(BOOL)animated {
  [super viewWillAppear:animated];
  [[self bluetoothCell] setBluetoothOn:[[self btSettings] bluetooth]];
}

- (void)viewDidUnload
{
  [self setBluetoothCell:nil];
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

- (IBAction)switchBluetooth:(id)sender {
  UISwitch *theSwitch = (UISwitch *)sender;
  BOOL bluetooth = [theSwitch isOn];
  [[self btSettings] setBluetooth:bluetooth];
}
@end
